import { isObject } from './utils/index.js'
import { addComponent as add } from '../public/vendor/bitecs/index.js'
import { World } from './core/engine.js'
export * from '../public/vendor/bitecs/index.js'

/** @typedef {import('./core/engine.js').Plugin} Plugin */
/** @typedef {any} Component

/**
 * @param {World} world
 * @param {number} entity
 * @param {Component} component
 */
export const addComponent = (world, entity, component) => {
    if (Array.isArray(component)) {
        const len = component.length
        for (let i = 0; i < len; i++) {
            add(world, entity, component[i])
        }
    } else {
        add(world, entity, component)
    }
}

