import { Engine } from '../core/engine.js'
import { CameraPlugin } from './camera/index.js'
import { RendererPlugin } from './renderer/index.js'
import { TransformPlugin } from './transform/index.js'
import { WindowPlugin } from './window/index.js'

/** @param {Engine} engine */
export const DefaultPlugins = engine => {
    engine.addPlugin([
        CameraPlugin,
        RendererPlugin,
        TransformPlugin,
        WindowPlugin
    ])
}

