
export class WebGLContext {
    /** @type {WebGL2RenderingContext} */
    #context

    /**
    * @param {HTMLCanvasElement} canvas
    */
    constructor(canvas) {
        this.#context = canvas.getContext('webgl2')

        if (!this.#context) {
            throw new Error('WebGL2 is unsupported')
        }
    }

    get context() {
        return this.#context
    }

    get clearColor() {
        return this.#context.getParameter(this.#context.COLOR_CLEAR_VALUE)
    }

    /**
    * @param {[number, number, number, number]} value
    */
    set clearColor(value) {
        this.#context.clearColor(...value)
    }

    clear() {

    }
}

