import { WebGPUContext } from '../../renderer/webgpu-context.js'
import { ResizeHandler } from '../resize.js'
import { World } from '/src/core/engine.js'

/**
 * @param {World} world
 */
export const resize = world => {
    const webgpu = world.getResource(WebGPUContext)
    const resizer = new ResizeHandler(
        // @ts-ignore
        webgpu.context.canvas,
        webgpu.devicePixelRatio,
        webgpu.device.limits.maxTextureDimension2D
    )

    resizer.start()

    world.addResource(resizer)
}

